TMF622 v4 Product Ordering

POST Create Product Order

POST /productOrder

Creates a Product Order entity.

Parameters

  • Authorization (header, string, required) Specifies the bearer token to use for the authentication of request.
  • Namespace (header, string) Specifies the namespace to use with the URL path.
  • Domain-Name (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

Request body

Media type: application/json. Schema: ProductOrder_Create.

Specifies the Product Order to be created.

Example

{
    "@type": "ProductOrder",
    "category": "B2C product order",
    "channel": [
        {
            "id": "1",
            "name": "Online chanel",
            "role": "Used channel for order capture"
        }
    ],
    "description": "Product Order illustration sample",
    "externalId": "PO-456",
    "note": [
        {
            "author": "Jean Pontus",
            "date": "2019-04-30T08:13:59.509Z",
            "id": "1",
            "text": "This is a TMF product order illustration"
        }
    ],
    "priority": "1",
    "productOrderItem": [
        {
            "@type": "ProductOrderItem",
            "action": "add",
            "id": "101",
            "quantity": 1,
            "productOffering": {
                "id": "MobilePlan"
            },
            "productOrderItemRelationship": [
                {
                    "id": "102",
                    "relationshipType": "bundles"
                }
            ]
        },
        {
            "@type": "ProductOrderItem",
            "action": "add",
            "id": "102",
            "quantity": 2,
            "productOffering": {
                "id": "Iphone16"
            },
            "product": {
                "productCharacteristic": [
                    {
                        "value": "16GB",
                        "name": "Data"
                    }
                ]
            }
        }
    ],
    "relatedParty": [
        {
            "id": "123456",
            "name": "Acme"
        }
    ],
    "requestedCompletionDate": "2019-05-03T08:13:59.506Z",
    "requestedStartDate": "2019-05-03T08:13:59.506Z"
}

Responses

  • 201 Created the resource.

    Media type: application/json. Schema: ProductOrder_POST_Response (extended).

    Includes all fields of ProductOrder_POST_Response.

    • href (string, required) Specifies the unique reference of the Product Order.
    • id (string, required) Specifies the unique identifier of the Product Order.

    Example

    {
        "productOrderItem": [
            {
                "productOrderItemRelationship": [
                    {
                        "relationshipType": "bundles",
                        "id": "103"
                    },
                    {
                        "relationshipType": "bundles",
                        "id": "102"
                    }
                ],
                "quantity": 1.00,
                "action": "Add",
                "id":"101",
                "@type": "ProductOrderItem"
            },
            {
                "quantity": 1.00,
                "action": "Add",
                "id":"102",
                "@type": "ProductOrderItem"
            },
            {
                "product": {
                    "productCharacteristic": [
                        {
                            "value": "16GB",
                            "name": "Data"
                        }
                    ]
                },
                "quantity": 2.00,
                "action": "Add",
                "id":"103",
                "@type": "ProductOrderItem"
            }
        ],
        "relatedParty": [
            {
                "name": "Acme",
                "id": "123456",
                "href": "/services/apexrest/devops001gs0/tmforum/productopenapi/v1/Account/001DX000001pAujYAE",
                "@type": "RelatedParty"
            }
        ],
        "state": "Activated",
        "requestedStartDate": "2019-05-03T00:00:00.000+0000",
        "requestedCompletionDate": "2019-05-02T00:00:00.000+0000",
        "orderDate": "2025-03-13T08:54:27.000+0000",
        "note": [
            {
                "author": "Jean Pontus",
                "date": "2019-04-30T08:13:59.509Z",
                "id": "1",
                "text": "This is a TMF product order illustration"
            }
        ],
        "id": "00000248",
        "href": "/services/apexrest/devops001gs0/tmforum/productopenapi/v1/Order/801DX000000E7tmYAC",
        "description": "Product Order illustration sample",
        "channel": [
                  {
                    "id": "1",
                    "name": "Online chanel",
                    "role": "Used channel for order capture"
                  }
                ]
    }
  • 400 There was an issue with your request.

    Media type: application/json. Schema: Error.

    Example

    code: "400"
    reason: Specify the required parameter in the payload- account and product order item(s) missing.
  • 404 Resource not found.

    Media type: application/json. Schema: Error.

    Example

    code: "404"
    reason: We couldn't find the Account in your salesforce org.
  • 500 Internal server error

    Media type: application/json. Schema: Error.

    Example

    code: "500"
    reason: Internal server error